<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
	
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language files
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_index.php';

if (file_exists(FORUM_ROOT.'extensions/pan_seo/lang/'.$forum_user['language'].'/pan_seo.php'))
	require FORUM_ROOT.'extensions/pan_seo/lang/'.$forum_user['language'].'/pan_seo.php';
else
	require FORUM_ROOT.'extensions/pan_seo/lang/English/pan_seo.php';

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_seo['SEO'], forum_link($forum_url['pan_seo_setup'])),
	$lang_pan_seo['Options']
);

define('FORUM_PAGE_SECTION', 'pan-seo');
define('FORUM_PAGE', 'admin-pan-seo-setup');

require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>
	<div class="main-content main-frm">
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_seo_update']) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_seo_update'])) ?>" />
				<input type="hidden" name="save_config" value="1" />
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_seo['Meta tags'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['meta_title_index'] ?></span><small><?php echo $lang_pan_seo['meta_title_index_i'] ?></small></label><br />
					<span class="fld-input"><input type="text" id="fld " name="form[pan_seo_meta_title]" size="55" maxlength="120" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_meta_title']) ?>" /></span>
				</div>
			</div>
			
			<div class="txt-set set">
				<div class="txt-box textarea">
					<label for="fld"><span><?php echo $lang_pan_seo['meta_desc_index'] ?></span><small><?php echo $lang_pan_seo['meta_desc_index_i'] ?></small></label>
					<div class="txt-input"><span class="fld-input"><textarea id="fld" name="form[pan_seo_meta_description]" rows="5" cols="auto" maxlength="400"><?php echo forum_htmlencode($forum_config['o_pan_seo_meta_description']) ?></textarea></span></div>
				</div>
			</div>
			
			
			
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_meta_title_forum]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_seo_meta_title_forum]" value="1"<?php if ($forum_config['o_pan_seo_meta_title_forum'] == '1') echo 'checked="checked"' ?> /></span>
						<label for="fld "><span><?php echo $lang_pan_seo['meta_title_forom'] ?></span><?php echo $lang_pan_seo['meta_title_forom_i'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_meta_desc_forum]" value="0" />
						<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_seo_meta_desc_forum]" value="1"<?php if ($forum_config['o_pan_seo_meta_desc_forum'] == '1') echo 'checked="checked"' ?> /></span>
						<label for="fld "><span><?php echo $lang_pan_seo['meta_desc_forom'] ?></span><?php echo $lang_pan_seo['meta_desc_forom_i'] ?></label>
				</div>
			</div>
			
			
			
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_meta_title_topic]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_seo_meta_title_topic]" value="1"<?php if ($forum_config['o_pan_seo_meta_title_topic'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['meta_title_topic'] ?></span><?php echo $lang_pan_seo['meta_title_topic_i'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_meta_desc_topic]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld" name="form[pan_seo_meta_desc_topic]" value="1"<?php if ($forum_config['o_pan_seo_meta_desc_topic'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['meta_desc_topic'] ?></span><?php echo $lang_pan_seo['meta_desc_topic_i'] ?></label>
				</div>
			</div>
			
			
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_meta_canonical]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_meta_canonical]" value="1"<?php if ($forum_config['o_pan_seo_meta_canonical'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Meta canonical'] ?></span><?php echo $lang_pan_seo['Meta canonical info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['Meta author'] ?></span><small><?php echo $lang_pan_seo['Meta author info'] ?></small></label><br />
					<span class="fld-input"><input type="url" id="fld " name="form[pan_seo_meta_author]" size="55" maxlength="255" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_meta_author']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['Meta publisher'] ?></span><small><?php echo $lang_pan_seo['Meta publisher info'] ?></small></label><br />
					<span class="fld-input"><input type="url" id="fld " name="form[pan_seo_meta_publisher]" size="55" maxlength="255" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_meta_publisher']) ?>" /></span>
				</div>
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_seo['Image Optimization'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_img_alt]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_img_alt]" value="1"<?php if ($forum_config['o_pan_seo_img_alt'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Attr alt'] ?></span><?php echo $lang_pan_seo['Attr alt info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_img_title]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_img_title]" value="1"<?php if ($forum_config['o_pan_seo_img_title'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Attr title'] ?></span><?php echo $lang_pan_seo['Attr title info'] ?></label>
				</div>
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_seo['Links Optimization'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_remove_index]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_remove_index]" value="1"<?php if ($forum_config['o_pan_seo_remove_index'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['URL index'] ?></span><?php echo $lang_pan_seo['URL index info'] ?></label>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_query_string_index]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_query_string_index]" value="1"<?php if ($forum_config['o_pan_seo_query_string_index'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['query_string_index'] ?></span><?php echo $lang_pan_seo['query_string_index_desc'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_redirect_forum]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_redirect_forum]" value="1"<?php if ($forum_config['o_pan_seo_redirect_forum'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['URL forum'] ?></span><?php echo $lang_pan_seo['URL forum info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_redirect_topic]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_redirect_topic]" value="1"<?php if ($forum_config['o_pan_seo_redirect_topic'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['URL topic'] ?></span><?php echo $lang_pan_seo['URL topic info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_closed_post_link_js]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_closed_post_link_js]" value="1"<?php if ($forum_config['o_pan_seo_closed_post_link_js'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Close post link'] ?></span><?php echo $lang_pan_seo['Close post link info'] ?></label>
				</div>
			</div>
			
			<div class="content-head">
				<h2 class="hn"><span><?php echo $lang_pan_seo['Others'] ?></span></h2>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['Error 404'] ?></span><small><?php echo $lang_pan_seo['Error 404 info'] ?></small></label><br />
					<span class="fld-input"><input type="text" id="fld " name="form[pan_seo_fn_message_404]" size="70" maxlength="70" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_fn_message_404']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_keywords_strong_msg]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_keywords_strong_msg]" value="1"<?php if ($forum_config['o_pan_seo_keywords_strong_msg'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Bold words'] ?></span><?php echo $lang_pan_seo['Bold words info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['Cross links'] ?></span><small><?php echo $lang_pan_seo['Cross links info'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld " name="form[pan_seo_collocations_links]" size="5" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_collocations_links']) ?>" /></span>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_breadcrumbs]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_breadcrumbs]" value="1"<?php if ($forum_config['o_pan_seo_breadcrumbs'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Breadcrumbs'] ?></span><?php echo $lang_pan_seo['Breadcrumbs info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_remove_first_page]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_remove_first_page]" value="1"<?php if ($forum_config['o_pan_seo_remove_first_page'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Page 1'] ?></span><?php echo $lang_pan_seo['Page 1 info'] ?></label>
				</div>
			</div>

			<div class="sf-set set">
				<div class="sf-box checkbox">
					<input type="hidden" name="form[pan_seo_sitemap]" value="0" />
					<span class="fld-input"><input type="checkbox" id="fld<?php   ?>" name="form[pan_seo_sitemap]" value="1"<?php if ($forum_config['o_pan_seo_sitemap'] == '1') echo 'checked="checked"' ?> /></span>
					<label for="fld "><span><?php echo $lang_pan_seo['Sitemap'] ?></span><?php echo $lang_pan_seo['Sitemap info'] ?></label>
				</div>
			</div>
			
			<div class="sf-set set">
				<div class="sf-box text">
					<label for="fld"><span><?php echo $lang_pan_seo['Unique topic'] ?></span><small><?php echo $lang_pan_seo['Unique topic info'] ?></small></label><br />
					<span class="fld-input"><input type="number" id="fld " name="form[pan_seo_validate_title_part]" size="5" maxlength="2" value="<?php echo forum_htmlencode($forum_config['o_pan_seo_validate_title_part']) ?>" /></span>
				</div>
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="save_config" value="<?php echo $lang_admin_common['Save changes'] ?>" /></span>
			</div>
		</form>
		
	</div>
	
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';