<?php

if (!defined('FORUM_ROOT'))
	define('FORUM_ROOT', '../../');
require FORUM_ROOT.'include/common.php';
require FORUM_ROOT.'include/common_admin.php';

($hook = get_hook('arp_tools')) ? eval($hook) : null;

if ($forum_user['g_id'] != FORUM_ADMIN)
	message($lang_common['No permission']);

// Load the admin.php language file
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_common.php';
require FORUM_ROOT.'lang/'.$forum_user['language'].'/admin_reports.php';

if (file_exists(FORUM_ROOT.'extensions/pan_seo/lang/'.$forum_user['language'].'/pan_seo.php'))
	require FORUM_ROOT.'extensions/pan_seo/lang/'.$forum_user['language'].'/pan_seo.php';
else
	require FORUM_ROOT.'extensions/pan_seo/lang/English/pan_seo.php';

//Edit robots.txt
$robots_file = $_SERVER['DOCUMENT_ROOT'].'/robots.txt';

if(isset($_POST['save_robots'])) 
{
	$robots = $_POST['robots'];
	if(file_put_contents($robots_file, $robots))
		$message = $lang_pan_seo['Robots updated'];
	else
		$message = $lang_pan_seo['Robots failed'];

	$robots_content = file_get_contents($robots_file);

	$forum_flash->add_info($message);
	if($_SERVER['HTTP_REFERER']) {
		$pan_url_from = $_SERVER['HTTP_REFERER']; 
	}
	redirect($pan_url_from, $message);
	
} else {

	$robots_content = file_get_contents($robots_file);

	if(empty($message) )
		$message = $lang_pan_seo['Robots info'];
}

$forum_page['group_count'] = $forum_page['item_count'] = $forum_page['fld_count'] = 0;

$forum_page['crumbs'] = array(
	array($forum_config['o_board_title'], forum_link($forum_url['index'])),
	array($lang_admin_common['Forum administration'], forum_link($forum_url['admin_index'])),
	array($lang_pan_seo['SEO'], forum_link($forum_url['pan_seo_setup'])),
	$lang_pan_seo['Tools']
);

($hook = get_hook('ain_pre_header_load')) ? eval($hook) : null;

define('FORUM_PAGE_SECTION', 'pan-seo');
define('FORUM_PAGE', 'admin-pan-seo-tools');
require FORUM_ROOT.'header.php';

// START SUBST - <!-- forum_main -->
ob_start();

?>

	<div class="main-content main-frm">
		<div id="admin-alerts" class="ct-set warn-set">
			<div class="ct-box warn-box">
				<h3 class="ct-legend hn warn"><span><?php echo $lang_pan_seo['Message'] ?></span></h3>
				<ul class="data-list">
					<span><?php if (!empty($message)) echo $message; ?></span>
				</ul>
			</div>
		</div>

		<div class="ct-group">
			<div class="ct-set group-item<?php echo ++$forum_page['item_count'] ?>">
				<div class="ct-box">
					<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_seo_tools']) ?>">
						<div class="hidden">
							<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_seo_tools'])) ?>" />
							<input type="hidden" name="save_config" value="1" />
						</div>
						<textarea rows="20" cols="50" name="robots"><? if ($robots_content) echo $robots_content; ?></textarea>
						<div class="frm-buttons">
							<span class="submit primary">
								<input type="submit" name="save_robots" value="<?php echo $lang_pan_seo['Save'] ?>" />
							</span>
    					</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	
<?php

$tpl_temp = forum_trim(ob_get_contents());
$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
ob_end_clean();
// END SUBST - <!-- forum_main -->

require FORUM_ROOT.'footer.php';
